Trigger a new database backup (asynchronous)
POST
/databases/{id}/backups
const url = 'https://example.com/databases/example/backups';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"label":"example","type":"full"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/databases/example/backups \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "label": "example", "type": "full" }'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
label
string
type
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Example generated
{ "backupName": "example", "completedAt": "example", "createdAt": "example", "createdBy": "example", "databaseId": "example", "errorMessage": "example", "id": "example", "label": "example", "sizeBytes": "example", "status": "example", "type": "example"}